import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.labels.list({
inboxId: 'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
});
curl -X GET 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1/labels' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend inboxes labels list --inbox_id b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1
{
"object": "list",
"data": [
{
"id": "2a8b4c6d-1e3f-4a5b-9c7d-8e0f1a2b3c4d",
"name": "Billing",
"color": "cyan",
"created_at": "2026-08-01T09:12:03.004Z"
},
{
"id": "7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34",
"name": "Urgent",
"color": "crimson",
"created_at": "2026-08-05T14:07:42.881Z"
}
]
}
List Labels
Retrieve the labels on an inbox.
GET
/
inboxes
/
:inbox_id
/
labels
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.labels.list({
inboxId: 'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
});
curl -X GET 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1/labels' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend inboxes labels list --inbox_id b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1
{
"object": "list",
"data": [
{
"id": "2a8b4c6d-1e3f-4a5b-9c7d-8e0f1a2b3c4d",
"name": "Billing",
"color": "cyan",
"created_at": "2026-08-01T09:12:03.004Z"
},
{
"id": "7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34",
"name": "Urgent",
"color": "crimson",
"created_at": "2026-08-05T14:07:42.881Z"
}
]
}
Inboxes are currently in private beta and only available to a limited
number of users. The response shape might change before GA. Get in
touch if you’re interested in testing this
feature.Once you have access, upgrade your Resend SDK to use the methods on this
page:
npm install resend@6.28.1-preview-inboxes.1
npm install -g resend-cli@2.22.0-preview-inboxes.1
Path Parameters
Response Fields
string
Always
list.array
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.inboxes.labels.list({
inboxId: 'b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1',
});
curl -X GET 'https://api.resend.com/inboxes/b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1/labels' \
-H 'Authorization: Bearer re_xxxxxxxxx'
resend inboxes labels list --inbox_id b3e2b2b6-3f0e-4c8e-9ad3-2f43a1e2c7f1
{
"object": "list",
"data": [
{
"id": "2a8b4c6d-1e3f-4a5b-9c7d-8e0f1a2b3c4d",
"name": "Billing",
"color": "cyan",
"created_at": "2026-08-01T09:12:03.004Z"
},
{
"id": "7f9c1d2e-4a6b-4c3d-8e15-9b0a7c6d5e34",
"name": "Urgent",
"color": "crimson",
"created_at": "2026-08-05T14:07:42.881Z"
}
]
}
Was this page helpful?
⌘I